%define oname	Sigil

Name:		sigil
Version:	0.9.16
Release:	%mkrel 1
Summary:	A free open source WYSIWYG ebook editor
License:	GPLv3
Group:		Office/Utilities
Url:		http://sigil-ebook.com/
Source0:	https://github.com/Sigil-Ebook/Sigil/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		sigil-0.9.8-mga-desktop_french_translation.patch
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent) 
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5WebEngineWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5XmlPatterns)
BuildRequires:	pkgconfig(hunspell) >= 1.3.2
BuildRequires:	pkgconfig(libpcre) >= 8.31
BuildRequires:	pkgconfig(zlib) >= 1.2.7
BuildRequires:	pkgconfig(minizip)
BuildRequires:	pkgconfig(python3)

Requires:	pythonegg(3)(lxml)

%description
Sigil is a free and open source WYSIWYG ebook editor.
It is designed to edit books in ePub format.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
# there are only internal helper libs, and they need to be static as build
# fails otherwise (they contain undefined symbols), and making them shared
# libs wouldn't make sense anyway (they are not shared by anything else)
# - Anssi 06/2010
%cmake_qt5 \
	-DSHARE_INSTALL_PREFIX=%{_prefix} \
	-DUSE_SYSTEM_LIBS:BOOL=ON \
	-DBUILD_SHARED_LIBS:BOOL=OFF
%make_build

%install
%make_install -C build

find %{buildroot} -name 'opf_newparser.py' -exec sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/env python3|g' {} \;
find %{buildroot} -name 'sanitycheck.py' -exec sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/env python3|g' {} \;

# install icons for the .desktop file
install -m644 -D src/Resource_Files/icon/app_icon_16.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icon_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icon_48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icon_128.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m644 -D src/Resource_Files/icon/app_icon_256.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

%files
%doc ChangeLog.txt README.md
%license COPYING.txt
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/*.png


%changelog
* Mon Aug 19 2019 daviddavid <daviddavid> 0.9.16-1.mga6
+ Revision: 1430020
- new version: 0.9.16, fixes CVE-2019-14452 (mga#25290)

* Sat Jun 03 2017 akien <akien> 0.9.8-1.mga6
+ Revision: 1106031
- Version 0.9.8

* Sun Nov 06 2016 daviddavid <daviddavid> 0.9.7-1.mga6
+ Revision: 1065557
- new version: 0.9.7

* Mon Jun 27 2016 daviddavid <daviddavid> 0.9.6-1.mga6
+ Revision: 1037811
- new version: 0.9.6

* Thu Apr 21 2016 tv <tv> 0.9.5-2.mga6
+ Revision: 1004202
- rebuid for libhunspell 1.4

* Mon Mar 28 2016 daviddavid <daviddavid> 0.9.5-1.mga6
+ Revision: 995868
- new version: 0.9.5

* Thu Mar 17 2016 daviddavid <daviddavid> 0.9.4-1.mga6
+ Revision: 992322
- new version: 0.9.4

* Sun Jan 31 2016 daviddavid <daviddavid> 0.9.3-1.mga6
+ Revision: 929345
- new version: 0.9.3

* Mon Dec 21 2015 daviddavid <daviddavid> 0.9.2-1.mga6
+ Revision: 913209
- new version: 0.9.2

* Mon Nov 30 2015 daviddavid <daviddavid> 0.9.1-1.mga6
+ Revision: 907281
- new version: 0.9.1

* Wed Nov 18 2015 daviddavid <daviddavid> 0.9.0-1.mga6
+ Revision: 903937
- new version: 0.9.0
- rename and rediff patch0
- update BuildRequires list
- requires python3-lxml
- fix license

* Fri Sep 25 2015 daviddavid <daviddavid> 0.8.7-5.mga6
+ Revision: 883452
- rebuild for new boost 1.59.0
- introduce license macro

* Fri Sep 18 2015 tv <tv> 0.8.7-4.mga6
+ Revision: 880275
+ rebuild (emptylog)

* Tue Sep 15 2015 daviddavid <daviddavid> 0.8.7-3.mga6
+ Revision: 879555
- fix empty lang file (fix build with new rpm 4.13.0)

* Wed Aug 26 2015 cjw <cjw> 0.8.7-2.mga6
+ Revision: 869999
- rebuild with gcc 5

* Sun Jul 12 2015 daviddavid <daviddavid> 0.8.7-1.mga6
+ Revision: 853437
- new version: 0.8.7
- update URL and Source Url
- use upstream desktop file
- add Patch0 to add french translation on upstream desktop file
- update BuildRequires
- fix non-needed Qt5 libraries for rpm package

* Wed Dec 03 2014 daviddavid <daviddavid> 0.8.2-1.mga5
+ Revision: 800517
- new version: 0.8.2
- update Source link-url
- switch BRs to pkgconfig
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.7.4-3.mga5
+ Revision: 747839
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.4-2.mga5
+ Revision: 689152
- Mageia 5 Mass Rebuild

* Wed Nov 20 2013 dams <dams> 0.7.4-1.mga4
+ Revision: 552071
- new version 0.7.4

* Sat Oct 19 2013 umeabot <umeabot> 0.7.3-2.mga4
+ Revision: 531779
- Mageia 4 Mass Rebuild

* Sat Aug 10 2013 wally <wally> 0.7.3-1.mga4
+ Revision: 465092
- build with system Xerces
+ dams <dams>
- new version 0.7.3
+ joequant <joequant>
- rebuild to clean dependencies
+ fwang <fwang>
- build with shared flightcrew

* Thu Apr 11 2013 dams <dams> 0.7.1-1.mga3
+ Revision: 409661
- update BR to match qt5*
- update boost require as it needs 1.53
- new version 0.7.1

* Mon Jan 14 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 382012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Office/Other -> Office/Utilities

* Wed Dec 26 2012 dams <dams> 0.6.2-1.mga3
+ Revision: 335227
- new version 0.6.2

* Thu Dec 20 2012 fwang <fwang> 0.6.1-2.mga3
+ Revision: 333103
- rebuild for new boost

* Mon Dec 03 2012 dams <dams> 0.6.1-1.mga3
+ Revision: 325889
- new version 0.6.1

* Sat Dec 01 2012 fwang <fwang> 0.6.0-2.mga3
+ Revision: 323835
- rebuild for new pcre
+ dams <dams>
- new version 0.6.0
- check versions for buildrequires

* Sat Aug 11 2012 dams <dams> 0.5.3-1.mga3
+ Revision: 280683
- new version 0.5.3
- update buildrequires
- clean specfile

* Tue Nov 29 2011 fwang <fwang> 0.4.2-1.mga2
+ Revision: 174114
- build without system libs, especially boost lib
- new version 0.4.2
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 0.4.0-0.rc1.2.mga2
+ Revision: 112015
- use boost mt libs
- rebuild for new boost

* Mon Apr 25 2011 ahmad <ahmad> 0.4.0-0.rc1.1.mga1
+ Revision: 90316
- Update to 0.4.0RC1

* Fri Mar 25 2011 ahmad <ahmad> 0.4.0-0.b3.1.mga1
+ Revision: 77218
- update to 0.4.0b3

* Mon Mar 21 2011 ahmad <ahmad> 0.4.0-0.b2.1.mga1
+ Revision: 75286
- 0.4.0b2

* Mon Mar 21 2011 ahmad <ahmad> 0.4.0-0.b1.1.mga1
+ Revision: 75085
- update to 0.4.0b1
- rediff patch1
- update the file list

* Sat Jan 15 2011 ahmad <ahmad> 0.3.2-2.mga1
+ Revision: 19761
- update to 0.3.4
- imported package sigil


* Wed Nov 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.2-1mdv2011.0
+ Revision: 600474
- update to 0.3.2

* Mon Nov 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 595009
- update to 0.3.1

* Fri Nov 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 593775
- update to 0.3.0

* Sun Oct 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.0-0.RC2.1mdv2011.0
+ Revision: 584546
- update to 0.3.0RC2

* Sat Oct 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.0-0.RC1.1mdv2011.0
+ Revision: 584293
- update to 0.3.0RC1
- bump qt BR to 4.7.0
- add BR, libxerces-c-devel
- rediff patch1 and make the package build with system libxerces-c (thanks to Anssi \o/)
- modify spec to make packaging rc's easier

* Fri Aug 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 569342
- update to 0.2.4
- rediff patch1

* Wed Jun 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.3-1mdv2011.0
+ Revision: 548731
- what do you know? new upstream release 0.2.3
- add more BR (they're pulled by qt-devel, but I prefer an explicit BR in this case)
- import sigil


